<?php
  // A71-Mail 6.300 (29.08.2021) By Alessandro Marinuzzi [Alecos]
  //--> Copyright © 2004-2021 • Alessandro Marinuzzi [Alecos] <--
  //=============================================================
  //            Main Settings              //
  //=======================================//
  session_start();
  @set_time_limit(0);
  @ini_set('max_execution_time', 0);
  @ini_set('default_charset', 'UTF-8');
  include("./userdat.php");
  include("./keyword.php");
  @ini_set("date.timezone", "$zone");
  //=======================================//
  //            Set SMTP Server            //
  //=======================================//
  if ((isset($smtp)) || (!empty($smtp))) {
    if ($smtp != "notset") {
      @ini_set("SMTP", "$smtp");
    }
  }
  //=======================================//
  //             Set SMTP Port             //
  //=======================================//
  if ((isset($port)) || (!empty($port))) {
    if ($port != "notset") {
      @ini_set("smtp_port", "$port");
    }
  }
  //=======================================//
  //        Define PHP_EOL if not set      //
  //=======================================//
  if (!defined('PHP_EOL')) {
    if (strtoupper(substr(PHP_OS,0,3) == 'WIN')) {
      define('PHP_EOL',"\r\n");
    } elseif (strtoupper(substr(PHP_OS,0,3) == 'MAC')) {
      define('PHP_EOL',"\r");
    } elseif (strtoupper(substr(PHP_OS,0,3) == 'DAR')) {
      define('PHP_EOL',"\n");
    } else {
      define('PHP_EOL',"\n");
    }
  }
  //=======================================//
  //          Get Real IP Address          //
  //=======================================//
  function get_real_ip() {
    $keyname_ip_arr = array('HTTP_X_FORWARDED_FOR', 'HTTP_REMOTE_ADDR_REAL', 'HTTP_CLIENT_IP', 'HTTP_X_REAL_IP', 'REMOTE_ADDR');
    foreach ($keyname_ip_arr as $keyname_ip) {
      if (!empty($_SERVER[$keyname_ip])) {
        $found_ip = $_SERVER[$keyname_ip];
        break;
      }
    }
    if (strstr($found_ip, ',')) {
      $found_ips = explode(',', $found_ip);
      if (substr($found_ips[0], 1, 3) == '10.' && strlen($found_ips[1]) > 5) {
        $found_ip = trim($found_ips[1]);
      } else {
        $found_ip = trim($found_ips[0]);
      }
    }
    if (!preg_match("^([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(\.([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])){3}^", $found_ip)) {
      $found_ip = $_SERVER['REMOTE_ADDR'];
    }
    return $found_ip;
  }
  //=======================================//
  //            Check if HTTPS             //
  //=======================================//
  function check_protocol() {
    $isSecure = false;
    if (isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) == 'on') {
      $isSecure = true;
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_PROTO']) && strtolower($_SERVER['HTTP_X_FORWARDED_PROTO']) == 'https' || !empty($_SERVER['HTTP_X_FORWARDED_SSL']) && strtolower($_SERVER['HTTP_X_FORWARDED_SSL']) == 'on') {
      $isSecure = true;
    }
    return $isSecure;
  }
  //=======================================//
  //            Main Variables             //
  //=======================================//
  $vers = "6.3.00";
  $ipid = get_real_ip();
  $host = $_SERVER['HTTP_HOST'];
  $myip = $_SERVER['REMOTE_ADDR'];
  $gurl = $_SERVER['QUERY_STRING'];
  $user = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : 'Not Available';
  $prot = check_protocol() ? 'https' : 'http';
  $find = isset($_SERVER['HTTP_ACCEPT_LANGUAGE']) ? $_SERVER['HTTP_ACCEPT_LANGUAGE'] : 'en';
  $exts = implode(',', $type);
  //=======================================//
  //            Language Detection         //
  //=======================================//
  $extr_lang = array();
  $pref_lang = $find;
  if (isset($pref_lang)) {
    $pref_lang = strtolower($pref_lang);
    preg_match_all('/([a-z]{1,8}(-[a-z]{1,8})?)s*(;s*qs*=s*(1|0.[0-9]+))?/i', $pref_lang, $lang_parse);
    if (count($lang_parse[1])) {
      if (!function_exists('array_combine')) {
        function array_combine($arr1, $arr2) {
          $out = array();
          $arr1 = array_values($arr1);
          $arr2 = array_values($arr2);
          foreach ($arr1 as $key1 => $value1) {
            $out[(string)$value1] = $arr2[$key1];
          }
          return $out;
        }
      }
      $extr_lang = array_combine($lang_parse[1], $lang_parse[4]);
      foreach ($extr_lang as $key2 => $value2) {
        if ($value2 === '') {
          $extr_lang[$key2] = 1;
        }
      }
      arsort($extr_lang, SORT_NUMERIC);
    }
    foreach ($extr_lang as $key3 => $value3) {
      if (($value3 == "1") || ($value3 == "1.0")) {
        $user_lang = $key3;
        break;
      }
    }
  } else {
    $user_lang = "en";
  }
  if (!isset($user_lang)) {
    $user_lang = "en";
  }
  $languages = array(
  'af-af' => 'Afrikaans',
  'af' => 'Afrikaans',
  'sq-sq' => 'Albanian',
  'sq' => 'Albanian',
  'ar-dz' => 'Arabic (Algeria)',
  'ar-bh' => 'Arabic (Bahrain)',
  'ar-eg' => 'Arabic (Egypt)',
  'ar-iq' => 'Arabic (Iraq)',
  'ar-jo' => 'Arabic (Jordan)',
  'ar-kw' => 'Arabic (Kuwait)',
  'ar-lb' => 'Arabic (Lebanon)',
  'ar-ly' => 'Arabic (libya)',
  'ar-ma' => 'Arabic (Morocco)',
  'ar-om' => 'Arabic (Oman)',
  'ar-qa' => 'Arabic (Qatar)',
  'ar-sa' => 'Arabic (Saudi Arabia)',
  'ar-sy' => 'Arabic (Syria)',
  'ar-tn' => 'Arabic (Tunisia)',
  'ar-ae' => 'Arabic (U.A.E.)',
  'ar-ye' => 'Arabic (Yemen)',
  'ar-ar' => 'Arabic',
  'ar' => 'Arabic',
  'hy-hy' => 'Armenian',
  'hy' => 'Armenian',
  'as-as' => 'Assamese',
  'as' => 'Assamese',
  'az-az' => 'Azeri',
  'az' => 'Azeri',
  'eu-eu' => 'Basque',
  'eu' => 'Basque',
  'be-be' => 'Belarusian',
  'be' => 'Belarusian',
  'bn-bn' => 'Bengali',
  'bn' => 'Bengali',
  'bg-bg' => 'Bulgarian',
  'bg' => 'Bulgarian',
  'ca-ca' => 'Catalan',
  'ca' => 'Catalan',
  'zh-cn' => 'Chinese (China)',
  'zh-hk' => 'Chinese (Hong Kong SAR)',
  'zh-mo' => 'Chinese (Macau SAR)',
  'zh-sg' => 'Chinese (Singapore)',
  'zh-tw' => 'Chinese (Taiwan)',
  'zh-zh' => 'Chinese',
  'zh' => 'Chinese',
  'hr-hr' => 'Croatian',
  'hr' => 'Croatian',
  'cs-cs' => 'Czech',
  'cs' => 'Czech',
  'da-da' => 'Danish',
  'da' => 'Danish',
  'div' => 'Divehi',
  'nl-be' => 'Dutch (Belgium)',
  'nl-nl' => 'Dutch (Netherlands)',
  'nl' => 'Dutch (Netherlands)',
  'en-au' => 'English (Australia)',
  'en-bz' => 'English (Belize)',
  'en-ca' => 'English (Canada)',
  'en-ie' => 'English (Ireland)',
  'en-jm' => 'English (Jamaica)',
  'en-nz' => 'English (New Zealand)',
  'en-ph' => 'English (Philippines)',
  'en-za' => 'English (South Africa)',
  'en-tt' => 'English (Trinidad)',
  'en-gb' => 'English (United Kingdom)',
  'en-us' => 'English (United States)',
  'en-zw' => 'English (Zimbabwe)',
  'en-en' => 'English',
  'en' => 'English',
  'us-us' => 'English (United States)',
  'us' => 'English (United States)',
  'et-et' => 'Estonian',
  'et' => 'Estonian',
  'fo-fo' => 'Faeroese',
  'fo' => 'Faeroese',
  'fa-fa' => 'Farsi',
  'fa' => 'Farsi',
  'fi-fi' => 'Finnish',
  'fi' => 'Finnish',
  'fr-be' => 'French (Belgium)',
  'fr-ca' => 'French (Canada)',
  'fr-lu' => 'French (Luxembourg)',
  'fr-mc' => 'French (Monaco)',
  'fr-ch' => 'French (Switzerland)',
  'fr-fr' => 'French (France)',
  'fr' => 'French (France)',
  'mk-mk' => 'FYRO Macedonian',
  'mk' => 'FYRO Macedonian',
  'gd-gd' => 'Gaelic',
  'gd' => 'Gaelic',
  'ka-ka' => 'Georgian',
  'ka' => 'Georgian',
  'de-at' => 'German (Austria)',
  'de-li' => 'German (Liechtenstein)',
  'de-lu' => 'German (Luxembourg)',
  'de-ch' => 'German (Switzerland)',
  'de-de' => 'German (Germany)',
  'de' => 'German (Germany)',
  'el-el' => 'Greek',
  'el' => 'Greek',
  'gu-gu' => 'Gujarati',
  'gu' => 'Gujarati',
  'he-he' => 'Hebrew',
  'he' => 'Hebrew',
  'hi-hi' => 'Hindi',
  'hi' => 'Hindi',
  'hu-hu' => 'Hungarian',
  'hu' => 'Hungarian',
  'is-is' => 'Icelandic',
  'is' => 'Icelandic',
  'id-id' => 'Indonesian',
  'id' => 'Indonesian',
  'it-ch' => 'Italian (Switzerland)',
  'it-it' => 'Italian (Italy)',
  'it' => 'Italian (Italy)',
  'ja-ja' => 'Japanese',
  'ja' => 'Japanese',
  'kn-kn' => 'Kannada',
  'kn' => 'Kannada',
  'kk-kk' => 'Kazakh',
  'kk' => 'Kazakh',
  'kok' => 'Konkani',
  'ko-ko' => 'Korean',
  'ko' => 'Korean',
  'kz-kz' => 'Kyrgyz',
  'kz' => 'Kyrgyz',
  'lv-lv' => 'Latvian',
  'lv' => 'Latvian',
  'lt-lt' => 'Lithuanian',
  'lt' => 'Lithuanian',
  'ms-ms' => 'Malay',
  'ms' => 'Malay',
  'ml-ml' => 'Malayalam',
  'ml' => 'Malayalam',
  'mt-mt' => 'Maltese',
  'mt' => 'Maltese',
  'mr-mr' => 'Marathi',
  'mr' => 'Marathi',
  'mn-mn' => 'Mongolian (Cyrillic)',
  'mn' => 'Mongolian (Cyrillic)',
  'ne-ne' => 'Nepali (India)',
  'ne' => 'Nepali (India)',
  'nb-no' => 'Norwegian (Bokmal)',
  'nn-no' => 'Norwegian (Nynorsk)',
  'no-no' => 'Norwegian (Bokmal)',
  'no' => 'Norwegian (Bokmal)',
  'or-or' => 'Oriya',
  'or' => 'Oriya',
  'pl-pl' => 'Polish',
  'pl' => 'Polish',
  'pt-br' => 'Portuguese (Brazil)',
  'pt-pt' => 'Portuguese (Portugal)',
  'pt' => 'Portuguese (Portugal)',
  'pa-pa' => 'Punjabi',
  'pa' => 'Punjabi',
  'rm-rm' => 'Rhaeto-Romanic',
  'rm' => 'Rhaeto-Romanic',
  'ro-md' => 'Romanian (Moldova)',
  'ro-ro' => 'Romanian',
  'ro' => 'Romanian',
  'ru-md' => 'Russian (Moldova)',
  'ru-ru' => 'Russian',
  'ru' => 'Russian',
  'sa-sa' => 'Sanskrit',
  'sa' => 'Sanskrit',
  'sr-sr' => 'Serbian',
  'sr' => 'Serbian',
  'sk-sk' => 'Slovak',
  'sk' => 'Slovak',
  'ls-ls' => 'Slovenian',
  'ls' => 'Slovenian',
  'sb-sb' => 'Sorbian',
  'sb' => 'Sorbian',
  'es-ar' => 'Spanish (Argentina)',
  'es-bo' => 'Spanish (Bolivia)',
  'es-cl' => 'Spanish (Chile)',
  'es-co' => 'Spanish (Colombia)',
  'es-cr' => 'Spanish (Costa Rica)',
  'es-do' => 'Spanish (Dominican Republic)',
  'es-ec' => 'Spanish (Ecuador)',
  'es-sv' => 'Spanish (El Salvador)',
  'es-gt' => 'Spanish (Guatemala)',
  'es-hn' => 'Spanish (Honduras)',
  'es-mx' => 'Spanish (Mexico)',
  'es-ni' => 'Spanish (Nicaragua)',
  'es-pa' => 'Spanish (Panama)',
  'es-py' => 'Spanish (Paraguay)',
  'es-pe' => 'Spanish (Peru)',
  'es-pr' => 'Spanish (Puerto Rico)',
  'es-us' => 'Spanish (United States)',
  'es-uy' => 'Spanish (Uruguay)',
  'es-ve' => 'Spanish (Venezuela)',
  'es-es' => 'Spanish (Traditional Sort)',
  'es' => 'Spanish (Traditional Sort)',
  'sx-sx' => 'Sutu',
  'sx' => 'Sutu',
  'sw-sw' => 'Swahili',
  'sw' => 'Swahili',
  'sv-fi' => 'Swedish (Finland)',
  'sv-sv' => 'Swedish',
  'sv' => 'Swedish',
  'syr' => 'Syriac',
  'ta-ta' => 'Tamil',
  'ta' => 'Tamil',
  'tt-tt' => 'Tatar',
  'tt' => 'Tatar',
  'te-te' => 'Telugu',
  'te' => 'Telugu',
  'th-th' => 'Thai',
  'th' => 'Thai',
  'ts-ts' => 'Tsonga',
  'ts' => 'Tsonga',
  'tn-tn' => 'Tswana',
  'tn' => 'Tswana',
  'tr-tr' => 'Turkish',
  'tr' => 'Turkish',
  'uk-uk' => 'Ukrainian',
  'uk' => 'Ukrainian',
  'ur-ur' => 'Urdu',
  'ur' => 'Urdu',
  'uz-uz' => 'Uzbek',
  'uz' => 'Uzbek',
  'vi-vi' => 'Vietnamese',
  'vi' => 'Vietnamese',
  'xh-xh' => 'Xhosa',
  'xh' => 'Xhosa',
  'yi-yi' => 'Yiddish',
  'yi' => 'Yiddish',
  'zu-zu' => 'Zulu',
  'zu' => 'Zulu');
  foreach ($languages as $key4 => $value4) {
    if ($user_lang == $key4) {
      $language = "$key4 - $value4";
      break;
    }
  }
  if (!isset($language)) {
    $language = "$user_lang - Unknown";
  }
  //=======================================//
  //     Function Return Random Numbers    //
  //=======================================//
  function get_rand_value($length) {
    $rand_value = '';
    for ($i = 1; $i <= $length; $i++) {
      $rand_value .= random_int(1,9);
    }
    return $rand_value;
  }
  //=======================================//
  //         Randon Security Numbers       //
  //=======================================//
  $nmb1 = get_rand_value(1);
  $nmb2 = get_rand_value(1);
  while ($nmb1 == $nmb2) {
    $nmb1 = get_rand_value(1);
    $nmb2 = get_rand_value(1);
    if ($nmb1 != $nmb2) {
      break;
    }
  }
  //=======================================//
  //     Get a Pair of Random Numbers      //
  //=======================================//
  if ((!isset($_SESSION['num1'])) || (empty($_SESSION['num1']))) {
    $_SESSION['num1'] = htmlspecialchars($nmb1, ENT_QUOTES | ENT_HTML401, 'UTF-8');
    $num1 = htmlspecialchars($_SESSION['num1'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
  } else {
    $num1 = htmlspecialchars($_SESSION['num1'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
  }
  if ((!isset($_SESSION['num2'])) || (empty($_SESSION['num2']))) {
    $_SESSION['num2'] = htmlspecialchars($nmb2, ENT_QUOTES | ENT_HTML401, 'UTF-8');
    $num2 = htmlspecialchars($_SESSION['num2'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
  } else {
    $num2 = htmlspecialchars($_SESSION['num2'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
  }
  //======================================//
  //     Get the REFERER from the User    //
  //======================================//
  if ((!isset($_SESSION['refe'])) || (empty($_SESSION['refe']))) {
    if (isset($_SERVER['HTTP_REFERER'])) {
      $_SESSION['refe'] = $_SERVER['HTTP_REFERER'];
    } else {
      $_SESSION['refe'] = "Not Available";
    }
    $refe = $_SESSION['refe'];
  } else {
    $refe = $_SESSION['refe'];
  }
  //=======================================//
  //          Parse Query String           //
  //=======================================//
  $ourl = array();
  parse_str($gurl, $ourl);
  if (isset($ourl['lang']) || (!empty($ourl['lang']))) {
    $lang = $ourl['lang'];
  }
  if (isset($ourl['page']) || (!empty($ourl['page']))) {
    $page = $ourl['page'];
  }
  if (isset($ourl['skin']) || (!empty($ourl['skin']))) {
    $skin = $ourl['skin'];
  }
  if (isset($ourl['fname']) || (!empty($ourl['fname']))) {
    $fname = $ourl['fname'];
  }
  if (isset($ourl['fmail']) || (!empty($ourl['fmail']))) {
    $fmail = $ourl['fmail'];
  }
  if (isset($ourl['subject']) || (!empty($ourl['subject']))) {
    $subject = $ourl['subject'];
  }
  if (isset($ourl['message']) || (!empty($ourl['message']))) {
    $message = $ourl['message'];
  }
  //=======================================//
  //          Language Detection           //
  //=======================================//
  if ((!isset($lang)) || (empty($lang)) || ($lang == "auto")) {
    if (preg_match('/[-|_|\s]/', $user_lang)) {
      if (strlen($user_lang) == 3) {
        $lang = substr($user_lang, 0, 2);
      } elseif (strlen($user_lang) == 7) {
        $lang = substr($user_lang, 0, 3);
      } elseif (strlen($user_lang) == 4) {
        $lang = substr($user_lang, 0, 3);
      } elseif (strlen($user_lang) == 5) {
        $lang = substr($user_lang, 0, 2);
      }
    } else {
      $lang = $user_lang;
    }
  }
  //=======================================//
  //              Set Path                 //
  //=======================================//
  $prot = trim($prot);
  if ((isset($page)) || (!empty($page))) {
    $wurl = "$prot://$host";
    $wdir = parse_url($page);
    $wdir = isset($wdir['host']) ? $wdir['host'] : '';
    $wdir = "$prot://$wdir";
    if ($wurl == $wdir) {
      $page = str_replace("\0", "", $page);
      $path = htmlspecialchars($page, ENT_QUOTES | ENT_HTML401, 'UTF-8');
    } else {
      $path = $wurl;
    }
  }
  if ((!isset($path)) || (empty($path))) {
    $path = "$prot://$host";
  }
  //=======================================//
  // Prevent XSS Attack & Null Byte Attack //
  //=======================================//
  $vers = htmlspecialchars($vers, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $vers = str_replace("\0", "", $vers);
  $lang = htmlspecialchars($lang, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $lang = str_replace("\0", "", $lang);
  $skin = htmlspecialchars($skin, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $skin = str_replace("\0", "", $skin);
  $text = htmlspecialchars($text, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $text = str_replace("\0", "", $text);
  $name = htmlspecialchars($name, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $name = str_replace("\0", "", $name);
  $size = htmlspecialchars($size, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $size = str_replace("\0", "", $size);
  $file = htmlspecialchars($file, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $file = str_replace("\0", "", $file);
  $chex = htmlspecialchars($chex, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $chex = str_replace("\0", "", $chex);
  $exts = htmlspecialchars($exts, ENT_QUOTES | ENT_HTML401, 'UTF-8');
  $exts = str_replace("\0", "", $exts);
  $user = htmlspecialchars($user, ENT_NOQUOTES | ENT_HTML401, 'UTF-8');
  $user = str_replace("\0", "", $user);
  //=======================================//
  // Manage URLs Variables & Fix Null Byte //
  //=======================================//
  if ((isset($fname)) || (!empty($fname))) {
    $fname = str_replace("\0", "", $fname);
    $_POST['fname'] = $fname;
  }
  if ((isset($fmail)) || (!empty($fmail))) {
    $fmail = str_replace("\0", "", $fmail);
    $_POST['fmail'] = $fmail;
  }
  if ((isset($subject)) || (!empty($subject))) {
    $subject = str_replace("\0", "", $subject);
    $_POST['subject'] = $subject;
  }
  if ((isset($message)) || (!empty($message))) {
    $message = str_replace("\0", "", $message);
    $_POST['message'] = $message;
  }
  //=======================================//
  //            Verify Variables           //
  //=======================================//
  if ((!isset($_POST['fname'])) || (!isset($_POST['fmail'])) || (!isset($_POST['subject'])) || (!isset($_POST['message'])) || (!isset($_POST['captcha'])) || (!isset($_POST['security']))) {
    if (file_exists("./lang/strg_$lang.php")) {
      include("./lang/strg_$lang.php");
    } else {
      include("./lang/strg_en.php");
    }
    $formstat = $formstr1;
    include("./formail.php");
  } else {
    //=======================================//
    //      Verify Name And/or Surname       //
    //=======================================//
    if ((!preg_match('/^\w/', $_POST['fname'])) || (preg_match('/(%0A|%0D|\\n+|\\r+|;|mime-version:|content-type:|content-transfer-encoding:|subject:|to:|cc:|bcc:|reply-to:)/i', $_POST['fname'])) || (preg_match($keys, $_POST['fname']))) {
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $formstr2;
      include("./formail.php");
      exit();
      //=======================================//
      //          Verify Email Address         //
      //=======================================//
    } elseif (!preg_match('/^[a-zA-Z0-9]+([_\\.-][a-zA-Z0-9]+)*'.'@([a-zA-Z0-9]+([\.-][a-zA-Z0-9]+))+$/', $_POST['fmail'])) {
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $formstr3;
      include("./formail.php");
      exit();
      //=======================================//
      //             Verify Subject            //
      //=======================================//
    } elseif ((!preg_match('/^[^\s]./', $_POST['subject'])) || (preg_match('/(%0A|%0D|\\n+|\\r+|;|mime-version:|content-type:|content-transfer-encoding:|subject:|to:|cc:|bcc:|reply-to:)/i', $_POST['subject'])) || (preg_match($keys, $_POST['subject']))) {
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $formstr4;
      include("./formail.php");
      exit();
      //=======================================//
      //              Verify Message           //
      //=======================================//
    } elseif ((!preg_match('/^[^\s]./', $_POST['message'])) || (preg_match($keys, $_POST['message']))) {
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $formstr5;
      include("./formail.php");
      exit();
      //====================================//
      //       Verify Security Captcha      //
      //====================================//
    } elseif ((!isset($_POST['captcha'])) || (isset($_POST['captcha'])) && ('human' != htmlspecialchars($_POST['captcha'], ENT_QUOTES | ENT_HTML401, 'UTF-8'))) {
      //====================================//
      //        Change Security Code        //
      //====================================//
      unset($_SESSION['num1']);
      unset($_SESSION['num2']);
      //=======================================//
      //         Randon Security Numbers       //
      //=======================================//
      $nmb1 = get_rand_value(1);
      $nmb2 = get_rand_value(1);
      while ($nmb1 == $nmb2) {
        $nmb1 = get_rand_value(1);
        $nmb2 = get_rand_value(1);
        if ($nmb1 != $nmb2) {
          break;
        }
      }
      //=======================================//
      //     Get a Pair of Random Numbers      //
      //=======================================//
      if ((!isset($_SESSION['num1'])) || (empty($_SESSION['num1']))) {
        $_SESSION['num1'] = htmlspecialchars($nmb1, ENT_QUOTES | ENT_HTML401, 'UTF-8');
        $num1 = htmlspecialchars($_SESSION['num1'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      } else {
        $num1 = htmlspecialchars($_SESSION['num1'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      }
      if ((!isset($_SESSION['num2'])) || (empty($_SESSION['num2']))) {
        $_SESSION['num2'] = htmlspecialchars($nmb2, ENT_QUOTES | ENT_HTML401, 'UTF-8');
        $num2 = htmlspecialchars($_SESSION['num2'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      } else {
        $num2 = htmlspecialchars($_SESSION['num2'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      }
      //=======================================//
      //      Print Error Security Captcha     //
      //=======================================//
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $roboterr;
      include("./formail.php");
      exit();
      //====================================//
      //        Verify Security Code        //
      //====================================//
    } elseif (($num1 + $num2) != htmlspecialchars($_POST['security'], ENT_QUOTES | ENT_HTML401, 'UTF-8')) {
      //====================================//
      //        Change Security Code        //
      //====================================//
      unset($_SESSION['num1']);
      unset($_SESSION['num2']);
      //=======================================//
      //         Randon Security Numbers       //
      //=======================================//
      $nmb1 = get_rand_value(1);
      $nmb2 = get_rand_value(1);
      while ($nmb1 == $nmb2) {
        $nmb1 = get_rand_value(1);
        $nmb2 = get_rand_value(1);
        if ($nmb1 != $nmb2) {
          break;
        }
      }
      //=======================================//
      //     Get a Pair of Random Numbers      //
      //=======================================//
      if ((!isset($_SESSION['num1'])) || (empty($_SESSION['num1']))) {
        $_SESSION['num1'] = htmlspecialchars($nmb1, ENT_QUOTES | ENT_HTML401, 'UTF-8');
        $num1 = htmlspecialchars($_SESSION['num1'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      } else {
        $num1 = htmlspecialchars($_SESSION['num1'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      }
      if ((!isset($_SESSION['num2'])) || (empty($_SESSION['num2']))) {
        $_SESSION['num2'] = htmlspecialchars($nmb2, ENT_QUOTES | ENT_HTML401, 'UTF-8');
        $num2 = htmlspecialchars($_SESSION['num2'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      } else {
        $num2 = htmlspecialchars($_SESSION['num2'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
      }
      //=======================================//
      //        Print Error Security Code      //
      //=======================================//
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $formstr6;
      include("./formail.php");
      exit();
      //=======================================//
      //             Verify SpamBot            //
      //=======================================//
    } elseif (!empty($_POST['website'])) {
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = 'ERROR: You are a SpamBot!';
      include("./formail.php");
      exit();
      //=======================================//
      //              Verify Policy            //
      //=======================================//
    } elseif ((!isset($_POST['policy'])) || (1 != htmlspecialchars($_POST['policy'], ENT_QUOTES | ENT_HTML401, 'UTF-8'))) {
      if (file_exists("./lang/strg_$lang.php")) {
        include("./lang/strg_$lang.php");
      } else {
        include("./lang/strg_en.php");
      }
      $formstat = $formstry;
      include("./formail.php");
      exit();
    } else {
      //=======================================//
      //              If Submit                //
      //=======================================//
      if (isset($_POST['cmd_submit'])) {
        //=======================================//
        //          Prepare For Mailing          //
        //=======================================//
        $fname = $_POST['fname'];
        $fmail = $_POST['fmail'];
        $subject = $_POST['subject'];
        $message = $_POST['message'];
        $consent = $_POST['policy'];
        @ini_set("sendmail_from", "$fmail");
        if ($consent == 1) {
          $consent = "Privacy Policy Accepted";
        }
        //=======================================//
        //     Verify Size Of Each Attachment    //
        //=======================================//
        $max_bytes = $size * 1024;
        if (isset($_FILES['attachment']['name'])) {
          $size_of_all_files = 0;
          foreach ($_FILES['attachment']['size'] as $each_size) {
            $size_of_all_files += $each_size;
          }
          if ($size_of_all_files > $max_bytes) {
            if (file_exists("./lang/strg_$lang.php")) {
              include("./lang/strg_$lang.php");
            } else {
              include("./lang/strg_en.php");
            }
            $formstat = $formstr8;
            include("./formail.php");
            exit();
          }
        }
        //=======================================//
        //     Verify Type Of Each Attachment    //
        //=======================================//
        if ($chex == "on") {
          if (isset($_FILES['attachment']['name'])) {
            for ($endex = 0; $endex <= $file-1; $endex++) {
              if ($_FILES['attachment']['name'][$endex]) {
                $extension = strtolower(substr(strrchr($_FILES['attachment']['name'][$endex], "."), 1));
                if (!in_array($extension, $type)) {
                  if (file_exists("./lang/strg_$lang.php")) {
                    include("./lang/strg_$lang.php");
                  } else {
                    include("./lang/strg_en.php");
                  }
                  $formstat = $formstr9;
                  include("./formail.php");
                  exit();
                }
              }
            }
          }
        }
        //=======================================//
        //         Prepare For Attachments       //
        //=======================================//
        if (isset($_FILES['attachment']['name'])) {
          $semi_rand = md5(uniqid(time()));
          $mime_boundary = "==Multipart_Boundary_x{$semi_rand}x";
          $headers = "From: " . '=?UTF-8?B?' . base64_encode($fname) . '?=' . " <$fmail>" . PHP_EOL;
          if ((isset($xxcc)) || (!empty($xxcc))) {
            if ($xxcc != "notset") {
              $headers .= "Cc: $xxcc" . PHP_EOL;
            }
          }
          if ((isset($xbcc)) || (!empty($xbcc))) {
            if ($xbcc != "notset") {
              $headers .= "Bcc: $xbcc" . PHP_EOL;
            }
          }
          $headers .= "Reply-To: " . '=?UTF-8?B?' . base64_encode($fname) . '?=' . " <$fmail>" . PHP_EOL;
          $headers .= "Return-Path: $fmail" . PHP_EOL;
          $headers .= "X-Agent: $user" . PHP_EOL;
          $headers .= "X-IP: $myip" . PHP_EOL;
          $headers .= "X-Mailer: A71-Mail $vers" . PHP_EOL;
          $headers .= "MIME-Version: 1.0" . PHP_EOL;
          $headers .= "Content-Type: multipart/mixed;" . PHP_EOL;
          $headers .= " Boundary=\"{$mime_boundary}\"";
          $datamsg = "This is a multi-part message in MIME format." . PHP_EOL . PHP_EOL;
          $datamsg .= "--{$mime_boundary}" . PHP_EOL;
          $datamsg .= "Content-Type: text/plain; Charset=\"UTF-8\"" . PHP_EOL;
          $datamsg .= "Content-Transfer-Encoding: 8bit" . PHP_EOL . PHP_EOL;
          $datamsg .= $message . PHP_EOL;
          if ($data == "off") {
            $datamsg .= "----------------------------------------------------------" . PHP_EOL;
            $datamsg .= "POLICY: $consent" . PHP_EOL;
            $datamsg .= "LANGUAGE: $language" . PHP_EOL . PHP_EOL;
          }
          if ($data == "on") {
            $datamsg .= "----------------------------------------------------------" . PHP_EOL;
            $datamsg .= "POLICY: $consent" . PHP_EOL;
            $datamsg .= "LANGUAGE: $language" . PHP_EOL;
            $datamsg .= "IP: $ipid" . PHP_EOL;
            $datamsg .= "AGENT: $user" . PHP_EOL;
            $datamsg .= "WHOIS: $info$ipid" . PHP_EOL;
            $datamsg .= "GEOIP: $goip$ipid" . PHP_EOL;
            $datamsg .= "REFERER: $refe" . PHP_EOL . PHP_EOL;
          }
          for ($index = 0; $index < count($_FILES['attachment']['name']); $index++) {
            if ($_FILES['attachment']['name'][$index] != "") {
              $file_name = $_FILES['attachment']['name'][$index];
              $data_file = chunk_split(base64_encode(file_get_contents($_FILES['attachment']['tmp_name'][$index])));
              $datamsg .= "--{$mime_boundary}" . PHP_EOL;
              $datamsg .= "Content-Type: application/octet-stream; Name=\"{$file_name}\"" . PHP_EOL;
              $datamsg .= "Content-Disposition: attachment; Filename=\"{$file_name}\"" . PHP_EOL;
              $datamsg .= "Content-Transfer-Encoding: base64" . PHP_EOL . PHP_EOL . $data_file . PHP_EOL . PHP_EOL;
            }
          }
          $datamsg .= "--{$mime_boundary}--";
          //=======================================//
          //        Send Without Attachments       //
          //=======================================//
        } else {
          $headers = "From: " . '=?UTF-8?B?' . base64_encode($fname) . '?=' . " <$fmail>" . PHP_EOL;
          if ((isset($xxcc)) || (!empty($xxcc))) {
            if ($xxcc != "notset") {
              $headers .= "Cc: $xxcc" . PHP_EOL;
            }
          }
          if ((isset($xbcc)) || (!empty($xbcc))) {
            if ($xbcc != "notset") {
              $headers .= "Bcc: $xbcc" . PHP_EOL;
            }
          }
          $headers .= "Reply-To: " . '=?UTF-8?B?' . base64_encode($fname) . '?=' . " <$fmail>" . PHP_EOL;
          $headers .= "Return-Path: $fmail" . PHP_EOL;
          $headers .= "X-Agent: $user" . PHP_EOL;
          $headers .= "X-IP: $myip" . PHP_EOL;
          $headers .= "X-Mailer: A71-Mail $vers" . PHP_EOL;
          $headers .= "MIME-Version: 1.0" . PHP_EOL;
          $headers .= "Content-Type: text/plain; Charset=\"UTF-8\"" . PHP_EOL;
          $headers .= "Content-Transfer-Encoding: 8bit" . PHP_EOL . PHP_EOL;
          $datamsg = $message . PHP_EOL;
          if ($data == "off") {
            $datamsg .= "----------------------------------------------------------" . PHP_EOL;
            $datamsg .= "POLICY: $consent" . PHP_EOL;
            $datamsg .= "LANGUAGE: $language" . PHP_EOL . PHP_EOL;
          }
          if ($data == "on") {
            $datamsg .= "----------------------------------------------------------" . PHP_EOL;
            $datamsg .= "POLICY: $consent" . PHP_EOL;
            $datamsg .= "LANGUAGE: $language" . PHP_EOL;
            $datamsg .= "IP: $ipid" . PHP_EOL;
            $datamsg .= "AGENT: $user" . PHP_EOL;
            $datamsg .= "WHOIS: $info$ipid" . PHP_EOL;
            $datamsg .= "GEOIP: $goip$ipid" . PHP_EOL;
            $datamsg .= "REFERER: $refe" . PHP_EOL . PHP_EOL;
          }
        }
        //=======================================//
        //               Send Email              //
        //=======================================//
        if (!@mail($mail, '=?UTF-8?B?' . base64_encode($subject) . '?=', $datamsg, $headers, "-f$fmail")) {
          if (file_exists("./lang/strg_$lang.php")) {
            include("./lang/strg_$lang.php");
          } else {
            include("./lang/strg_en.php");
          }
          $formstat = $formstr7;
          include("./formail.php");
          exit();
        } else {
          //=======================================//
          //             Create Email Log          //
          //=======================================//
          if ($logs == "on") {
            if (!is_dir("logs")) {
              mkdir("logs");
              chmod("logs", 0755);
            }
            $tmp1 = fopen("logs/log" . date("[d-m-Y][H-i-s]") . ".txt", "w+");
            $tmp2 = "Policy: $consent" . PHP_EOL;
            $tmp2 .= "Agent: $user" . PHP_EOL;
            $tmp2 .= "IP: $myip" . PHP_EOL;
            $tmp2 .= "Date: " . date('d-m-Y H:i:s') . PHP_EOL;
            $tmp2 .= "From: $fname <$fmail>" . PHP_EOL;
            $tmp2 .= "To: $mail" . PHP_EOL;
            $tmp2 .= "Subject: $subject" . PHP_EOL;
            $tmp2 .= "Message: $message" . PHP_EOL;
            fwrite($tmp1, $tmp2);
            fclose($tmp1);
            unset($tmp1);
            unset($tmp2);
            if (!file_exists("logs/.htaccess")) {
              $tmp3 = fopen("logs/.htaccess", "w+");
              $tmp4 = "Require all denied";
              fwrite($tmp3, $tmp4);
              fclose($tmp3);
              unset($tmp3);
              unset($tmp4);
            }
          }
          //=======================================//
          //            Destroy Session            //
          //=======================================//
          session_destroy();
          //=======================================//
          //             Confirm Email             //
          //=======================================//
          if (file_exists("./lang/strg_$lang.php")) {
            include("./lang/strg_$lang.php");
          } else {
            include("./lang/strg_en.php");
          }
          include("./confirm.php");
          exit();
        }
      } else {
        if (file_exists("./lang/strg_$lang.php")) {
          include("./lang/strg_$lang.php");
        } else {
          include("./lang/strg_en.php");
        }
        $formstat = $formstr1;
        include("./formail.php");
        exit();
      }
    }
  }
?>